const std = @import("std");

pub const ConnectionType = enum {
    ssh,
    telnet,
};

pub const Config = struct {
    name: []const u8,
    type: ConnectionType,
    comment: []const u8,
    address: []const u8,
    port: u16,
    username: []const u8,
    manufacturer: []const u8,
    model: []const u8,
    part_number: []const u8,
    class: []const u8,

    const Self = @This();

    pub fn read(alloc: std.mem.Allocator, path: []const u8) !Self {
        const data = try std.fs.cwd().readFileAlloc(alloc, path, 2048);
        const parsed = try std.json.parseFromSlice(Self, alloc, data, .{});
        const config = parsed.value;
        return config;
    }
};
